### Method

# Gtk IconView create_drag_icon

deprecated: 4.10

#### Declaration [src]

    GdkPaintable*
    gtk_icon_view_create_drag_icon (
      GtkIconView* icon_view,
      GtkTreePath* path
    )

#### Description [src]

Creates a `GdkPaintable` representation of the item at `path`. This image is used for a drag icon.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`path`

  Type: `GtkTreePath`

  A `GtkTreePath` in `icon_view`.

  The data is owned by the caller of the method.

#### Return value

Type: `GdkPaintable`

A newly-allocated `GdkPaintable` of the drag icon.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.